Subject: [pcp] GetExternalIP & co

From: Francis Dupont <[email-masked]>
Date: Fri, 31 Dec 2010 18:26:23 +0100

I got a funny (?) issue implementing a PCP IWF, i.e.,
an IWF which supports UPnP IGD 1.0 / NAT-PMP and PCP
on its client side.

This issue is similar to the GetExternalIP one (even as the IWF runs on a B4
the external IP address by itself is not needed for the PCP part): when
an incoming request is not authorized I'd like to send a response with
NOT_AUTHORIZED in it but I don't know what Epoch to use (and I don't want
to synthetize a fake one as it is against the whole idea of the Epoch).

So it should be fine to get a doing nothing / no side effect request
which returns the Epoch (and the external IP address), even as a query
for something else (i.e., the GET/GETNEXT stuff works well for this).
The real issue is the only currently defined OpCodes are designed to
have side effects...

Happy New Year!

[email-masked]

PS: reference: http://trac.tools.ietf.org/wg/pcp/trac/ticket/30